Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.plugins.util
Class PluginType<T>

    java.lang.Object
      org.apache.logging.log4j.core.config.plugins.util.PluginType<T>

Type Parameters:
  `T` - The plug-in class, which can be any kind of class.

    public class PluginType<T>

extends Object

Plugin Descriptor. This is a memento object for Plugin annotations paired to their annotated classes.

See Also:
  `Plugin`

Constructor Summary
`PluginType(PluginEntry pluginEntry, Class<T> pluginClass, String elementName)`

Method Summary
`String` | `getCategory()`
`String` | `getElementName()`
`String` | `getKey()`
`Class<T>` | `getPluginClass()`
`boolean` | `isDeferChildren()`
`boolean` | `isObjectPrintable()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginType

    public PluginType(PluginEntry pluginEntry,
                      Class<T> pluginClass,
                      String elementName)

Since:
  2.1

Method Detail

### getPluginClass

    public Class<T> getPluginClass()

### getElementName

    public String getElementName()

### getKey

    public String getKey()

  Since:
    2.1

### isObjectPrintable

    public boolean isObjectPrintable()

### isDeferChildren

    public boolean isDeferChildren()

### getCategory

    public String getCategory()

  Since:
    2.1

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.